### Constructor

# Camel StreamMem new_with_byte_array

#### Declaration [src]

    CamelStream*
    camel_stream_mem_new_with_byte_array (
      GByteArray* buffer
    )

#### Description [src]

Create a new `CamelStreamMem` using `buffer` as the stream data.

Note: The newly created `CamelStreamMem` will destroy `buffer` when destroyed.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A `GByteArray` to use as the stream data.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `CamelStream`

A new `CamelStreamMem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.